Subject: Re: c_cc[VTIME] not working under NT
From: egor duda <[email-masked]>
To: "Michael Besl" <[email-masked]>
Cc: [email-masked]
Date: Mon, 12 Aug 2002 17:07:35 +0400

Hi!

Monday, 12 August, 2002 Michael Besl [email-masked] wrote:

MB> i have written a serial communication application that uses the normal
MB> com-ports. I have compiled it under cygwin DLL 1.3.13 (latest distribution)
MB> and it works perfect with win98, but when i use the same DLL and the same
MB> program under winNT, then the c_cc[VTIME] seems not to work. So the winNT is
MB> waiting forever for a byte at the COM port. Do i have to change here
MB> something at the source that it will also run under winNT?

It's a bug in cygwin. Hopefully, it will be fixed soon (i have a
working patch but it needs some cleanup).

Meanwhile, as a workaround, you may want to use select() before read()
and doesn't rely on termios features like this. Using select() is a
cleaner solution because it would work on any type of input, not just
ttys.

Egor.            mailto:[email-masked] ICQ 5165414 FidoNet 2:5020/496.19

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/